org.keycloak.adapters.tomcat

## Class CatalinaUserSessionManagement

- java.lang.Object
- - org.keycloak.adapters.tomcat.CatalinaUserSessionManagement

- All Implemented Interfaces:
    EventListener, org.apache.catalina.SessionListener

      public class CatalinaUserSessionManagement
      extends Object
      implements org.apache.catalina.SessionListener

  Manages relationship to users and sessions so that forced admin logout can be implemented
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatalinaUserSessionManagement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `login(org.apache.catalina.Session session)`
    `void` | `logoutAll(org.apache.catalina.Manager sessionManager)`
    `void` | `logoutHttpSessions(org.apache.catalina.Manager sessionManager, List<String> sessionIds)`
    `protected void` | `logoutSession(org.apache.catalina.Manager manager, String httpSessionId)`
    `protected void` | `logoutSession(org.apache.catalina.Session session)`
    `void` | `sessionEvent(org.apache.catalina.SessionEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CatalinaUserSessionManagement

          public CatalinaUserSessionManagement()

  - ### Method Detail

    - #### login

          public void login(org.apache.catalina.Session session)

    - #### logoutAll

          public void logoutAll(org.apache.catalina.Manager sessionManager)

    - #### logoutHttpSessions

          public void logoutHttpSessions(org.apache.catalina.Manager sessionManager,
                                List<String> sessionIds)

    - #### logoutSession

          protected void logoutSession(org.apache.catalina.Manager manager,
                           String httpSessionId)

    - #### logoutSession

          protected void logoutSession(org.apache.catalina.Session session)

    - #### sessionEvent

          public void sessionEvent(org.apache.catalina.SessionEvent event)

      Specified by:
        `sessionEvent` in interface `org.apache.catalina.SessionListener`

Copyright © 2015. All rights reserved.